<% if model.can_be_joined_by?(current_user) %>
  <% if shows_remaining_slots? %>
    <span class="meeting-remaining-slots">
      <div class="remaining-slots-count">
        <%= model.remaining_slots %>
      </div>
      <%= t("remaining_slots", scope: "decidim.meetings.meetings.show") %>
    </span>
  <% end %>
  <% if model.has_registration_for? current_user %>
    <%= action_authorized_button_to(
        :join,
        t("leave", scope: "decidim.meetings.meetings.show"),
        meeting_registration_path(model),
        resource: model,
        method: :delete,
        class: 'br-button secondary black-and-white-btn large-button',
        data: { disable: true, confirm: t("leave_confirmation", scope: "decidim.meetings.meetings.show") }
      ) %>
  <% else %>
    <% if model.registration_form_enabled? %>
      <div class="bp-divider"></div>
      <div class="component_buttons">
        <%= action_authorized_link_to(
          :join,
          i18n_join_text,
          join_meeting_registration_path(model),
          class: button_classes,
          disabled: !model.has_available_slots?,
        ) %>
      </div>
    <% else %>
      <%= render :registration_confirm %>
      <%= action_authorized_button_to(
          :join,
          i18n_join_text,
          "#",
          class: button_classes,
          disabled: !model.has_available_slots?,
          data: { open: current_user.present? ? "meeting-registration-confirm-#{model.id}" : "loginModal" }
        ) %>
    <% end %>
  <% end %>
<% elsif model.on_different_platform? && !model.closed?  %>
  <%= link_to(
    i18n_join_text,
    model.registration_url,
    class: button_classes,
    target: '_blank'
  ) %>
<% end %>
